package com.qxgmat.dto.extend;

import com.alibaba.fastjson.JSONObject;
import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.Question;

@Dto(entity = Question.class)
public class QuestionDetailExtendDto {

    private Integer id;

    private String stem;

    private String type;
    private String difficult;
    private String place;

    private String officialContent;

    private String qxContent;

    private JSONObject content;

    private JSONObject answer;

    private Integer[] associationContent;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStem() {
        return stem;
    }

    public void setStem(String stem) {
        this.stem = stem;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDifficult() {
        return difficult;
    }

    public void setDifficult(String difficult) {
        this.difficult = difficult;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getOfficialContent() {
        return officialContent;
    }

    public void setOfficialContent(String officialContent) {
        this.officialContent = officialContent;
    }

    public String getQxContent() {
        return qxContent;
    }

    public void setQxContent(String qxContent) {
        this.qxContent = qxContent;
    }

    public JSONObject getContent() {
        return content;
    }

    public void setContent(JSONObject content) {
        this.content = content;
    }

    public Integer[] getAssociationContent() {
        return associationContent;
    }

    public void setAssociationContent(Integer[] associationContent) {
        this.associationContent = associationContent;
    }

    public JSONObject getAnswer() {
        return answer;
    }

    public void setAnswer(JSONObject answer) {
        this.answer = answer;
    }
}
